summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2015-12-14 14:19:48 -0500
committerMike Frysinger <vapier@gentoo.org>2015-12-14 14:22:04 -0500
commiteafb5bff4795e5a83122ebcbfc37b86607119115 (patch)
tree89b7fbe425666957d15f155a8a3fbf1fcdc431c5 /sys-libs
parentsys-libs/libhugetlbfs: fix D-vs-ED handling (diff)
downloadgentoo-eafb5bff4795e5a83122ebcbfc37b86607119115.tar.gz
gentoo-eafb5bff4795e5a83122ebcbfc37b86607119115.tar.bz2
gentoo-eafb5bff4795e5a83122ebcbfc37b86607119115.zip
sys-libs/libhugetlbfs: make perl support optional #554688
Diffstat (limited to 'sys-libs')
-rw-r--r--sys-libs/libhugetlbfs/libhugetlbfs-2.19-r1.ebuild11
-rw-r--r--sys-libs/libhugetlbfs/metadata.xml3
2 files changed, 12 insertions, 2 deletions
diff --git a/sys-libs/libhugetlbfs/libhugetlbfs-2.19-r1.ebuild b/sys-libs/libhugetlbfs/libhugetlbfs-2.19-r1.ebuild
index 4eebe018a8a..960ad68d54b 100644
--- a/sys-libs/libhugetlbfs/libhugetlbfs-2.19-r1.ebuild
+++ b/sys-libs/libhugetlbfs/libhugetlbfs-2.19-r1.ebuild
@@ -17,10 +17,10 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc64 ~x86"
-IUSE="static-libs test"
+IUSE="perl static-libs test"
DEPEND="test? ( ${PYTHON_DEPS} )"
-RDEPEND="dev-lang/perl:="
+RDEPEND="perl? ( dev-lang/perl:= )"
src_prepare() {
perl_set_version
@@ -53,6 +53,13 @@ src_install() {
default
use static-libs || rm -f "${ED}"/usr/$(get_libdir)/*.a
rm "${ED}"/usr/bin/oprofile* || die
+ if ! use perl ; then
+ rm -r \
+ "${ED}"/usr/bin/cpupcstat \
+ "${ED}"/usr/share/man/man8/cpupcstat.8 \
+ "${ED}/${VENDOR_LIB}" \
+ || die
+ fi
}
src_test_alloc_one() {
diff --git a/sys-libs/libhugetlbfs/metadata.xml b/sys-libs/libhugetlbfs/metadata.xml
index d1332ae8927..63e8fba7959 100644
--- a/sys-libs/libhugetlbfs/metadata.xml
+++ b/sys-libs/libhugetlbfs/metadata.xml
@@ -2,6 +2,9 @@
<!DOCTYPE pkgmetadata SYSTEM 'http://www.gentoo.org/dtd/metadata.dtd'>
<pkgmetadata>
<herd>base-system</herd>
+<use>
+ <flag name='perl'>Install the cpupcstat tool and some perl modules</flag>
+</use>
<upstream>
<remote-id type='github'>libhugetlbfs/libhugetlbfs</remote-id>
<remote-id type='sourceforge'>libhugetlbfs</remote-id>